Package com.databricks.jdbc.commons

## Class EnvironmentVariables

- java.lang.Object
- - com.databricks.jdbc.commons.EnvironmentVariables

    public final class EnvironmentVariables
    extends Object

### Field Summary

Fields
`static int` `DEFAULT_BYTE_LIMIT`
`static boolean` `DEFAULT_ESCAPE_PROCESSING`
`static int` `DEFAULT_ROW_LIMIT`
`static int` `DEFAULT_SLEEP_DELAY`
`static int` `DEFAULT_STATEMENT_TIMEOUT_SECONDS`
`static TProtocolVersion` `JDBC_THRIFT_VERSION`

### Constructor Summary

Constructors
`EnvironmentVariables()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_STATEMENT_TIMEOUT_SECONDS

    public static final int DEFAULT_STATEMENT_TIMEOUT_SECONDS

See Also:
  Constant Field Values

#### DEFAULT_ROW_LIMIT

    public static final int DEFAULT_ROW_LIMIT

See Also:
  Constant Field Values

#### DEFAULT_BYTE_LIMIT

    public static final int DEFAULT_BYTE_LIMIT

See Also:
  Constant Field Values

#### DEFAULT_ESCAPE_PROCESSING

    public static final boolean DEFAULT_ESCAPE_PROCESSING

See Also:
  Constant Field Values

#### JDBC_THRIFT_VERSION

    public static final TProtocolVersion JDBC_THRIFT_VERSION

#### DEFAULT_SLEEP_DELAY

    public static final int DEFAULT_SLEEP_DELAY

See Also:
  Constant Field Values

### Constructor Detail

#### EnvironmentVariables

    public EnvironmentVariables()